org.gradle.api.artifacts

## Interface PublishArtifactSet

- All Superinterfaces:
    Buildable, Collection<PublishArtifact>, DomainObjectCollection<PublishArtifact>, DomainObjectSet<PublishArtifact>, Iterable<PublishArtifact>, Set<PublishArtifact>

      public interface PublishArtifactSet
      extends DomainObjectSet<PublishArtifact>, Buildable

  A set of artifacts to be published.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getFiles()`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getFiles

          FileCollection getFiles()